<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org/">
<head>
    <meta charset="UTF-8">
    <link href="http://netdna.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-star-rating/4.0.6/css/star-rating.min.css" media="all" rel="stylesheet" type="text/css" />
    <!-- important mandatory libraries -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/star-rating.css" media="screen"/>
    <script  src="/star-rating.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title >Title</title>
</head>
<body>
<style>
* {
  box-sizing: border-box;
}

/* Create two equal columns that floats next to each other */
.column {
  float: left;
  width: 50%;
  padding: 10px;
  height: 10px; /* Should be removed. Only for demonstration */
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}
</style>

<style>
    label textarea{
        vertical-align: middle;
    }
</style>

<div class="container-xl">
    <div class="col-sm-3">
            <a th:href="'/api/'+ ${metodo.metodoId}" class="btn btn-primary btn-sm">Volver a las versiones del Método</a>
    </div>
    <h3 style="font-size:200%;">Detalles del método</h3>

    <div class="row">
        <div class="col-sm-5">
            <center>
        <label class="input"> Métrica a tener en cuenta cantidad de parámetros de entrada</label>
            <input type="text" disabled th:value="${metodo.metricaMetodo}">
                <br>
                Tener en cuenta que:
                <br>
                1.- 0 es muy bueno
                <br>
                2.- 1 es regular
                <br>
                3.- 2 es malo
                <br>
                4.- 3+ muy malo
            </center>
        </div>
        <div class="col-sm-5">
            <center>
            <label class="input"> Largo del método como segunda métrica en cuenta</label>
            <input type="text" disabled th:value="${metodo.textLines}">
                <br>
                Tener en cuenta que:
                <br>
                1.- Los for lo ideal deben ser de 1 o 2 líneas
                <br>
                2.- Tener más de 100 líneas es muy malo
                <br>
                3.- Cuanto menos líneas mejor
            </center>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-5">
            <form method="post" th:action="@{/api}" th:object="${metodo}" class="mt-5">
                <input type="hidden" name="metodoId" th:value="*{metodoId}">
                <input type="hidden" name="rating" class="rating" data-glyphicon="0" th:field="*{rating}">
                <center>
                <button class="btn btn-primary" type="submit">  Enviar rating</button>
                </center>
            </form>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-2">
        <center>
        <label>   Contenido del método
            <textarea  disabled cols="120" th:rows="${metodo.textLines}" th:text="${metodo.codigoMetodo}"></textarea>
        </label>
        </center>
        </div>
    </div>
</div>
</body>
</html>
